/v1/compliance/reports
curl --request POST \
--url https://api.truthlocks.com/v1/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
regulation: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/compliance/reports"
payload = {
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/compliance/reports"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"period_end\": \"2023-11-07T05:31:56Z\",\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"regulation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Cumplimiento y anomalías
Generar un informe de cumplimiento
POST
/
v1
/
compliance
/
reports
/v1/compliance/reports
curl --request POST \
--url https://api.truthlocks.com/v1/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
regulation: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/compliance/reports"
payload = {
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/compliance/reports"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"period_end\": \"2023-11-07T05:31:56Z\",\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"regulation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Agrega las comprobaciones de cumplimiento registradas para una entidad y un período. Suministre
entity_id, regulation, period_start y period_end; entity_type por defecto es agent. Los períodos usan valores de fecha y hora y el final no debe preceder al inicio.
Requiere un token de portador de usuario con sesión iniciada. El servidor deriva la identidad del revisor. El controlador se ejecuta sincrónicamente; no cambia a un trabajo de informe en segundo plano por períodos prolongados. Un informe resume los resultados de las verificaciones almacenadas, no una certificación regulatoria independiente. Los recibos de informes generados actualmente utilizan marcadores del sistema en lugar de firmas criptográficas.
